%global momorel 3

Summary: Amarok Now Playing Plugin for XChat
Name: anp
Version: 0.2.4
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://kde-apps.org/content/show.php?content=74284
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/project-lsp/%{name}-%{version}.tar.gz
NoSource: 0
Source1: xchat-plugin.h
Patch0: %{name}-0.2.3-xchat-plugin-header.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: amarok
Requires: xchat
BuildRequires: xchat

%description
ANP (Amarok Now Playing) is a small plugin that shows
the currently playing track in Amarok in the form:
/ME Rocks: Artist - Title. This version includes a command to
customise the message to be sent, so instead of the default
'Rocks:' one, you can set any message you like by typing /ANPMSG .
It also has menus and three commands to control Amarok from
within XChat, /PLAY, /PAUSE and /STOP.

%prep
%setup -q

# remove pre-compiled binary
rm -f anp.so

# cp xchat-plugin.h
install -m 644 %{SOURCE1} src/

# patch for xchat-plugin.h
%patch0 -p1 -b .plugin-header

%build
pushd src
gcc %{optflags} -Wl,--export-dynamic -Wall -shared -fPIC main.c -o anp.so
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/xchat/plugins
install -m 755 src/%{name}.so %{buildroot}%{_libdir}/xchat/plugins/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README TODO doc/anp_*.txt
%{_libdir}/xchat/plugins/anp.so

%changelog
* Wed Sep 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.4-3m)
- revert to version 0.2.4 (to avoid segmentation fault)

* Tue Jun 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.6-1m)
- version 0.2.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.4-2m)
- rebuild against gcc43

* Sun Feb  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.4-1m)
- version 0.2.4

* Tue Jan 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.3-1m)
- initial package for amarok-1.4.8 and xchat
